Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.customer
Class CustomerManagerImpl

    java.lang.Object
      |
      +--theory.smart.foundation.SessionImpl
            |
            +--theory.smart.ebusiness.customer.CustomerManagerImpl

Deprecated. The CustomerManger interface has been deprecated and will not be supported in version 2.0

public class CustomerManagerImpl
extends SessionImpl

The customer manager manages the life cycle of a customer.

See Also:
  `CustomerManager`, `CustomerManagerHome`, Serialized Form

Fields inherited from class theory.smart.foundation.SessionImpl
`ctx, isDirty`

Constructor Summary
`CustomerManagerImpl()` Deprecated.

Method Summary
`Customer` | `authenticateCustomer(java.lang.String customerKey, java.lang.String password)` Deprecated. Finds the customer, using the user supplied key, and checks that the password matches with the parameter.
`Customer` | `createCustomer(java.lang.String customerKey)` Deprecated. Creates new customer with the specified customer key and returns a reference.
`void` | `deleteCustomer(java.lang.String customerKey)` Deprecated. Remove the specified customer from the system.
`void` | `ejbActivate()` Deprecated.
`void` | `ejbCreate()` Deprecated.
`void` | `ejbPassivate()` Deprecated.
`void` | `ejbPostCreate()` Deprecated.
`void` | `ejbRemove()` Deprecated.
`Customer` | `findCustomer(java.lang.String customerKey)` Deprecated. Finds the customer by key and returns a reference.
`void` | `setSessionContext(SessionContext ctx)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomerManagerImpl

    public CustomerManagerImpl()
                        throws CreateException

  Deprecated.

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbCreate in class SessionImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException,
                              java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbPostCreate in class SessionImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbActivate in class SessionImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbPassivate in class SessionImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbRemove in class SessionImpl

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    setSessionContext in class SessionImpl

### authenticateCustomer

    public Customer authenticateCustomer(java.lang.String customerKey,
                                         java.lang.String password)
                                  throws java.rmi.RemoteException,
                                         FinderException

  Deprecated.
  Finds the customer, using the user supplied key, and checks that the password matches with the parameter. A reference to the customer that was specified in the customerKey is returned.

### findCustomer

    public Customer findCustomer(java.lang.String customerKey)
                          throws java.rmi.RemoteException,
                                 FinderException

  Deprecated.
  Finds the customer by key and returns a reference.

### createCustomer

    public Customer createCustomer(java.lang.String customerKey)
                            throws java.rmi.RemoteException,
                                   javax.naming.NamingException,
                                   CreateException

  Deprecated.
  Creates new customer with the specified customer key and returns a reference. If the customer already exists an exception is thrown. The Customer is created with default values and the client then sets the attributes by directly accessing the customer.

### deleteCustomer

    public void deleteCustomer(java.lang.String customerKey)
                        throws java.rmi.RemoteException

  Deprecated.
  Remove the specified customer from the system.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.